import request from '@/utils/request'

// 查询系统访问记录列表
export function listCompanyLogininfor(query) {
  return request({
    url: '/company/companyLogininfor/list',
    method: 'get',
    params: query
  })
}

// 查询系统访问记录详细
export function getCompanyLogininfor(infoId) {
  return request({
    url: '/company/companyLogininfor/' + infoId,
    method: 'get'
  })
}

// 新增系统访问记录
export function addCompanyLogininfor(data) {
  return request({
    url: '/company/companyLogininfor',
    method: 'post',
    data: data
  })
}

// 修改系统访问记录
export function updateCompanyLogininfor(data) {
  return request({
    url: '/company/companyLogininfor',
    method: 'put',
    data: data
  })
}

// 删除系统访问记录
export function delCompanyLogininfor(infoId) {
  return request({
    url: '/company/companyLogininfor/' + infoId,
    method: 'delete'
  })
}

// 导出系统访问记录
export function exportCompanyLogininfor(query) {
  return request({
    url: '/company/companyLogininfor/export',
    method: 'get',
    params: query
  })
}